package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: queryByCondition
 * 根据条件分页查询老师信息
 *
 * @author auto create
 * @since 2.0.1 2023-12-25
 */
public class TeacherApiQueryByConditionRequest extends OpenApiRequest<TeacherApiQueryByConditionParam, TeacherApiQueryByConditionResult> {

    public TeacherApiQueryByConditionRequest(TeacherApiQueryByConditionParam param) {
        this();
        setBizModel(param);
    }

    public TeacherApiQueryByConditionRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/user-center/teacher-api/query-by-condition");
        setHttpMethod("POST");
    }

    public Class<TeacherApiQueryByConditionResult> getResponseClass() {
        return TeacherApiQueryByConditionResult.class;
    }

    public Class<TeacherApiQueryByConditionParam> getDomainClass() {
        return TeacherApiQueryByConditionParam.class;
    }
}

